package com.clx.performance.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

public enum PerformanceProgressTabEnum {
    ;


    //1：进行中的线路（不分页）  2：已结束线路  3：全部线路
    @Getter
    @AllArgsConstructor
    public enum Type {

        IN_PROCESS(1, "进行中的线路"),

        END(2, "已结束线路"),

        ALL(3, "全部线路"),

        ;

        private final Integer code;
        private final String name;

        public static Optional<Type> getByCode(Integer code) {
            return Arrays.stream(values()).filter(e -> e.code.equals(code)).findFirst();
        }

        public static String getMsgByCode(int code) {
            return getByCode(code).map(Type::getName).orElse(null);
        }
    }


}
