package com.clx.performance.controller.pc.carrier;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.carrier.PagePerformanceProgress;
import com.clx.performance.service.PerformanceProgressService;
import com.clx.performance.vo.pc.PerformanceProgressVO;
import com.msl.common.base.PageData;
import com.msl.common.convertor.aspect.UnitCovert;
import com.msl.common.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.constraints.NotBlank;

@Slf4j
@RestController
@RequestMapping(value="/pc/carrier/performanceProgress")
@Validated
@Api(tags = "承运端-承运履约表")
@AllArgsConstructor
public class CarrierPerformanceProgressController {


    private final PerformanceProgressService performanceProgressService;


    @ApiOperation(value = "履约进度表列表",notes = "<br>By:刘海泉")
    @PostMapping("/pagePerformanceProgress")
    @UnitCovert(param = false)
    public Result<PageData<PerformanceProgressVO>> pagePerformanceProgress(@RequestBody @Validated PagePerformanceProgress param) {
        IPage<PerformanceProgressVO> page  = performanceProgressService.pagePerformanceProgress(param);
        return Result.page(page.getRecords(),page.getTotal(),page.getPages());
    }


    @ApiOperation(value = "进行中数据调整顺序",notes = "<br>By:刘海泉")
    @GetMapping("/updateAdjustOrder")
    public Result<Object> updateAdjustOrder(
              @RequestParam("adjustOrderOneId") @NotBlank(message = "调整订单1的id不能为空") Integer adjustOrderOneId,
            @RequestParam("adjustOrderTwoId") @NotBlank(message = "调整订单2的id不能为空") Integer adjustOrderTwoId
            ) {
        performanceProgressService.updateAdjustOrder(adjustOrderOneId,adjustOrderTwoId);
        return Result.ok();
    }


}
